.TH "esl\-histplot" 1 "Aug 2023" "Easel 0.49" "Easel Manual"

.SH NAME
esl\-histplot \- collate data histogram, output xmgrace datafile

.SH SYNOPSIS
.B esl\-histplot
[\fIoptions\fR]
.I datafile


.SH DESCRIPTION

.PP
.B esl\-histplot
summarizes numerical data in the input file
.I datafile.

.PP
One real-numbered value is taken from each line of the input file. 
Each line is split into whitespace-delimited fields, and one field
is converted to data. By default this is the first field; this can be 
changed by the 
.B \-f 
option.

.PP
Default output is a survival plot (Prob(value > x)) in xmgrace XY data
format, to stdout.
Output may be directed to a file with the
.B \-o
option.

.PP
If 
.I datafile
is \- (a single dash), input lines are read from stdin
instead of opening a file.




.SH OPTIONS

.TP
.BI \-f  " <n>"
Read data from whitespace-delimited field 
.I <n>
on each line, instead of the first field.
Fields are numbered starting from 1.

.TP
.B \-h 
Print brief help; includes version number and summary of
all options, including expert options.

.TP
.BI \-o  " <f>"
Send output to file
.I <f>
instead of stdout.



.SH SEE ALSO

.nf
http://bioeasel.org/
.fi

.SH COPYRIGHT

.nf 
Copyright (C) 2023 Howard Hughes Medical Institute.
Freely distributed under the BSD open source license.
.fi 

.SH AUTHOR

.nf
http://eddylab.org
.fi





